LibreOffice: XTransferable Interface Reference

LibreOffice LibreOffice 5.1 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XTransferable Interface Referencepublished

Interface to be implemented by objects used to provide data for a data transfer operation. More...

`import"XTransferable.idl";`

Inheritance diagram for XTransferable:

## Public Member Functions
any | getTransferData ([in] DataFlavor aFlavor) raises ( UnsupportedFlavorException, com::sun::star::io::IOException )
| Called by a data consumer to obtain data from the source in a specified format. More...
sequence< DataFlavor > | getTransferDataFlavors ()
| Returns a sequence of supported DataFlavor. More...
boolean | isDataFlavorSupported ([in] DataFlavor aFlavor)
| Checks if the data object supports the specified data flavor. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface to be implemented by objects used to provide data for a data transfer operation.

See also
  com::sun::star::datatransfer::DataFlavor

## Member Function Documentation

any getTransferData | ( | [in] DataFlavor | aFlavor | ) |
raises | ( | UnsupportedFlavorException,
|  | com::sun::star::io::IOException
| ) |  |

Called by a data consumer to obtain data from the source in a specified format.

Parameters

  aFlavor | Describes the requested data format

Returns
  The data in the specified DataFlavor.

Exceptions

  com::sun::star::io::IOException | if the data is no longer available in the requested flavor.
  com::sun::star::datatransfer::UnsupportedFlavorException | if the requested DataFlavor is not supported.

sequence< DataFlavor > getTransferDataFlavors | ( |  | ) |

Returns a sequence of supported DataFlavor.

Returns
  The sequence of supported DataFlavor.

See also
  com::sun::star::datatransfer::DataFlavor

boolean isDataFlavorSupported | ( | [in] DataFlavor | aFlavor | ) |

Checks if the data object supports the specified data flavor.

Parameters

  aFlavor | Describes the format that should be checked

Returns
  A value of `TRUE` if the DataFlavor is supported by the transfer source.

A value of `FALSE` if the DataFlavor is unsupported by the transfer source.

Note: This method is only for analogy with the JAVA Clipboard interface. To avoid many calls, the caller should instead use com::sun::star::datatransfer::XTransferable::getTransferDataFlavors().

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/XTransferable.idl